<?php if (!defined('FW')) die('Forbidden');

/**
 * @internal
 * @param array $widths Default widths
 * @return array
 */
function _filter_ext_forms_change_builder_item_widths($widths) {
	foreach ($widths as &$width) {
		$width['frontend_class'] .= ' form-builder-item';
	}

	return $widths;
}
add_filter('fw_builder_item_widths:form-builder', '_filter_ext_forms_change_builder_item_widths');

function _action_fw_ext_forms_option_types_init() {
	require dirname(__FILE__) .'/includes/option-types/form-builder/class-fw-option-type-form-builder.php';
}
add_action('fw_option_types_init', '_action_fw_ext_forms_option_types_init');


/**
 * Register types for custom form shortcode
 */
 if ( ! function_exists('_crum_ext_form_createLabels') ){	 
	function _crum_ext_form_createLabels( $overrides = array() ) {
	$defaults = array(

		'name'               => __( 'Forms', 'unyson' ),
		'singular_name'      => __( 'Form', 'unyson' ),
		'menu_name'          => __( 'Forms', 'unyson' ),
		'name_admin_bar'     => __( 'Form', 'unyson' ),
		'add_new'            => __( 'Add New', 'unyson' ),
		'add_new_item'       => __( 'Add New Form', 'unyson' ),
		'new_item'           => __( 'New Form', 'unyson' ),
		'edit_item'          => __( 'Edit Form', 'unyson' ),
		'view_item'          => __( 'View Form', 'unyson' ),
		'view_items'         => __( 'View Forms', 'unyson' ),
		'all_items'          => __( 'All Forms', 'unyson' ),
		'search_items'       => __( 'Search Forms', 'unyson' ),
		'parent_item_colon'  => __( 'Parent Forms:', 'unyson' ),
		'attributes'         => __( 'Form Attributes', 'unyson' ),
		'not_found'          => __( 'No Forms found.', 'unyson' ),
		'not_found_in_trash' => __( 'No Forms found in Trash.', 'unyson' )
	);

	return wp_parse_args( $overrides, $defaults );
	}
}

$crum_form_args = array(
	'labels'             => _crum_ext_form_createLabels(),
	'public'             => true,
	'publicly_queryable' => true,
	'show_ui'            => true,
	'show_in_menu'       => true,
	'query_var'          => true,
	'rewrite'            => array( 'slug' => 'form' ),
	'capability_type'    => 'post',
	'has_archive'        => true,
	'hierarchical'       => false,
	'menu_position'      => 20,
	'menu_icon'          => 'dashicons-editor-table',
	'supports'           => array( 'title', 'thumbnail', 'page-attributes' )
);
if ( function_exists( 'fw_ext' ) && fw_ext( 'forms' ) ) {
	register_post_type( 'crum-form', $crum_form_args );
}
